/**@file
 *			Patches for Anthy, by G-HAL
 *@brief	(strlcpy|strlcat) شؿ
 *@date		Fri,31 Oct,2008
 *@author	Copyright(C)2008 G-HAL
 */
#ifndef __ALTERNATIVE_STRLCPY_H__
#define __ALTERNATIVE_STRLCPY_H__

#if defined(HAVE_CONFIG_H)
# include	"config.h"
#endif


#if (!defined(HAVE_STRICMP) && defined(HAVE_CONFIG_H)) || (!defined(HAVE_CONFIG_H) && !defined(MSDOS))
# define	stricmp		strcasecmp
# define	strnicmp	strncasecmp
#endif


#if (!defined(HAVE_STRLCPY) && defined(HAVE_CONFIG_H))
# if defined(HAVE_G_STRLCPY)
#  define	strlcpy	g_strlcpy
# elif defined(HAVE_ALTERNATIVE_STRLCPY)
#  include <stddef.h>
#  if defined(__cplusplus)
extern "C" {
#  endif /* defined(__cplusplus) */
size_t	strlcpy(char *, const char *, size_t)
		__attribute__ ((__bounded__(__string__,1,3)));
#  if defined(__cplusplus)
}
#  endif /* defined(__cplusplus) */
#  define	ENABLE_ALTERNATIVE_STRLCPY
# else
#  error("A function strlcpy() or alternative function is required.")
# endif
#endif
#if (!defined(HAVE_STRLCAT) && defined(HAVE_CONFIG_H))
# if defined(HAVE_G_STRLCAT)
#  define	strlcat	g_strlcat
# elif defined(HAVE_ALTERNATIVE_STRLCAT)
#  include <stddef.h>
#  if defined(__cplusplus)
extern "C" {
#  endif /* defined(__cplusplus) */
size_t	strlcat(char *, const char *, size_t)
	__attribute__ ((__bounded__(__string__,1,3)));
#  if defined(__cplusplus)
}
#  endif /* defined(__cplusplus) */
#  define	ENABLE_ALTERNATIVE_STRLCAT
# else
#  error("A function strlcat() or alternative function is required.")
# endif
#endif


#endif /* __ALTERNATIVE_STRLCPY_H__ */
/* [ End of File ] */
